# Generated by Django 4.2.6 on 2023-10-10 09:58

import blog.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('start', '0002_initial'),
        ('blog', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('slug', models.SlugField(unique=True)),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
            },
        ),
        migrations.CreateModel(
            name='BlogPost',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('body_en', models.TextField(blank=True, default='Dieser Artikel ist nicht auf deutsch verfügbar.')),
                ('body_de', models.TextField(blank=True, default='This aritcle is not available in english.')),
                ('thumbnail', models.ImageField(blank=True, default='img/thumbnails/default.jpg', upload_to='img/thumbnails')),
                ('featured', models.BooleanField(default=False)),
                ('langs', models.CharField(default="{'en': False, 'de': False}", max_length=64)),
                ('slug', models.SlugField(unique=True)),
                ('title_de', models.CharField(default='Nicht übersetzt', max_length=50)),
                ('title_en', models.CharField(default='Not translated', max_length=50)),
                ('subtitle_de', models.CharField(blank=True, max_length=50)),
                ('subtitle_en', models.CharField(blank=True, max_length=50)),
                ('desc_de', models.TextField(blank=True, default='Keine Beschreibung', max_length=250)),
                ('desc_en', models.TextField(blank=True, default='no description', max_length=250)),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('update', models.DateTimeField(blank=True, null=True)),
                ('suburl', models.CharField(blank=True, max_length=200, null=True)),
                ('public', models.BooleanField(default=False)),
                ('category', models.ForeignKey(default=blog.models.Category.get_or_create_uncategorized, on_delete=django.db.models.deletion.SET_DEFAULT, to='blog.category')),
                ('keywords', models.ManyToManyField(blank=True, to='start.keyword')),
            ],
            options={
                'verbose_name': 'blog post',
                'verbose_name_plural': 'blog posts',
            },
        ),
    ]
